:root {
  --color-1: #002723;
  --color-2: #bebda6;
  --color-3: #a7b5bd;
  --color-4: #000000;
}
.color1 {
  color: var(--color-1) !important;
}
.color2 {
  color: var(--color-2) !important;
}
.color3 {
  color: var(--color-3) !important;
}
.color4 {
  color: var(--color-4) !important;
}

.bg-color1 {
  background-color: var(--color-1) !important;
}
.bg-color2 {
  background-color: var(--color-2) !important;
}
.bg-color3 {
  background-color: var(--color-3) !important;
}
.bg-color4 {
  background-color: var(--color-4) !important;
}

.scroll-top {
  bottom: 0;
  right: 2rem;
  position: fixed;
  display: none;
}
.active {
  display: flex;
}


/*--------------------------------------------------------------
# Preloader
--------------------------------------------------------------*/
#preloader {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  overflow: hidden;
  background: #FFFFFF;
}


.imgLoader {
  width: 70px;
  object-fit: contain;
  position: fixed;
  top: calc(50% - 25px);
  left: calc(50% - 25px);
  mix-blend-mode: multiply;
  animation: glowFade 1s ease-in-out infinite;
}

#preloader:before {
  content: "";
  position: fixed;
  top: calc(50% - 40px);
  left: calc(50% - 40px);
  border: 6px solid var(--color-1);
  border-top-color: var(--color-2);
  border-radius: 50%;
  width: 80px;
  height: 80px;
  animation: animate-preloader 1s linear infinite;
}

@keyframes  glowFade {
  to {
    top: calc(50% - 10px);
    left: calc(50% - 10px);
    width: 20px;
    height: 20px;
    opacity: 0.1;
  }
  from {
    top: calc(50% - 35px);
    left: calc(50% - 35px);
    width: 70px;
    height: 70px;
    opacity: 1;
  }
}

@keyframes animate-preloader {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}


/***************** HEADER **********************/
#topo { 
  position: relative;
  background: url('../img/header.png?13') no-repeat;
  background-size: cover;
  z-index: -1 !important;
  overflow: hidden;
  perspective: 2px;
  transform-style: preserve-3d;
  pointer-events: none;
  height: 60vh;
}

#topoFundo {
  position: absolute;
  top: 0;
  left: 0;
  background: url('../img/bgTopoFundo.png?13') no-repeat;
  background-position: top 0 right -8rem;
  background-size: 120%;
  width: 100%;
  height: 100%;
  z-index: -1 !important;
  filter: drop-shadow(20px 40px 45px #000);
  transform: translateZ(-2px) scale(2);
  pointer-events: none;
}
#topoFrente {
  position: absolute;
  top: 0;
  left: 0;
  background: url('../img/bgTopoFrente.png?1123') no-repeat;
  filter: drop-shadow(20px 40px 45px #000);
  background-position: top 50px left -100px;
  background-size: 120%;
  width: 100%;
  min-height: 950px;
  z-index: -1 !important;
  transform: translateZ(-1px) scale(1.5);
  transition: all 500 ease-in-out ;
  pointer-events: none;
}
.header {
  width: 100%;
  height: 100%;
  z-index: 10 !important;
  pointer-events: none;
}
.header > div {
  z-index: 1000 !important;
  pointer-events: none;
}


.iconTopo {
  width: 70%;
}
.buttonTop {
  position: absolute;
  top: 46vh;
  left: 50%;
  transform: translate(-50%, -50%);
  border: solid 2px #000;
  border-radius: 50%;
  padding: 0.1rem 0.5rem;
  cursor: pointer;
}

.navbar-collapse {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
}


/***************** SOBRE **********************/




#sobre {
  margin-top: -50px;
  border-radius: 50px;
  background-color: #002723;
}
.textoSobre {
  width: 55%;
  text-align: center;
}
.pillSobre {
  border: solid var(--color-3) 1px;
  border-radius: 10rem;
  padding: 2rem 4rem;
  column-gap: 3rem;
}
.pillSobreUm {
  box-shadow: rgba(190, 189, 166, 0.3) 0px 0px 50px;
  overflow: hidden;
}
.pillSobreDois {
  box-shadow: rgba(190, 189, 166, 0.3) 250px 40px 50px ;
  background: linear-gradient(150deg, rgba(194,194,194,0.3) 31%, rgba(194,194,194,0) 60%);
}
.pillSobreTres {
  box-shadow: rgba(190, 189, 166, 0.3) 50px 20px 50px inset;
  line-height: 1;
  font-size: 1.5rem;
}

.boxBandeiras {
  position: relative;
  max-width: 80%;
}
.bandeiras {
  position: absolute;
  font-size: 1.2rem;
}

.bandeira1 {
  top: 72%;
  left: 55%;
}
.bandeira2 {
 top: 45%;
 left: 0;
}
.bandeira3 {
 top: 20%;
 left: 70%;
}

.subtextSobre {
  width: 55%;
}

/*****************DIAMANTE**************************/

.diamanteContainer {
  position: relative;
  width: 600px;
  height: 600px;
  background: url('../img/logo/png/Colombini-simbolo-verde@8x.png') no-repeat;
  background-size: 120%;
  background-position: center center;
}

.image {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  width: 250px;
  height: auto;
}

.text-box {
  position: absolute;
  background: rgba(0, 0, 0, 0);
  padding: 8px 12px;
  border: 1px solid #c5c5a5;
  border-radius: 5px;
  font-weight: bold;
}

.text-content {
  position: absolute;
  color: #c5c5a5;
  text-align: start;
}

/* POSICIONAMENTO DOS TEXTOS */
.dados { top: 10%; right: 25%; }
.dados-text { top: 18%; right: -5%;  width: 250px}

.estrategia { bottom: 43%; left: 5%; }
.estrategia-text { bottom: 25%; left: 0%;  width: 200px}

.acompanhamento { bottom: 20%; right: 13%; }
.acompanhamento-text { bottom: 6%; right: 8%;  width: 200px }
/*********** SERVICOS ******************************/

#servicos {
  background:  url('../img/logo/svg/Colombini-simbolo-branco.svg') no-repeat;
  background-size: 180%;
  background-position: center center;
}
.servicosContent {
  background-color: rgba(162, 182, 191, 0.9);
  width: 100%;
  height: 100%;
}

.accordion {
  border-radius: 20px;
  border: 1px solid #FFF;
  min-height: 300px;
}

.accordion-button {
  background: rgba(0, 0, 0, 0) !important;
}


/********************** CASES ******************/
/* Estilos personalizados */
.carousel-item {
  padding: 20px;
}
.navCarouselIcons {
  height: 50px;
  width: 100%;
}
.carousel-navigation {
  flex: 0 0;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  border-right: 1px solid #ddd;
}
.carousel-navigation img {
  opacity: 0.3;
  cursor: pointer;
  transition: opacity 0.3s ease-in-out;
  padding: 0px 20px;
  object-fit: contain;
}
.carousel-item:not(.active) {
  display: none;
}
.carousel-navigation img.active {
  opacity: 1 !important;
  border-right: 2px #666 solid;
}

.carousel-image {
  border-radius: 20px;
  width: 100%;
  z-index: 1; /* Certifica que a imagem esteja abaixo do overlay */
  overflow: hidden;
  position: relative;
}
.carousel-content {
  position: relative;
  overflow: hidden;
}
/*
.carousel-content::after {
 content: ""; 
 position: absolute;
 border-radius: 20px;
 top: 0;
 left: 0;
 width: 100%;
 height: 100%;
 background: rgb(194,194,194);
 background: linear-gradient(180deg, rgba(194,194,194,0) 75%, rgba(0,39,35,1) 100%);
 z-index: 100 !important; 
}
*/


.label-carousel-item {
  position: absolute;
  bottom: 3%;
  left: 0;
  width: 93%;
  height: 50px;
  margin-left: 5%;
  z-index: 500 !important;
}
.label-title {
  margin: 0px;
  font-size: 1.75rem;
}
.label-subtitle {
  margin-top: -5px;
}
.label-carousel-item > a {
  font-size: 0.4rem !important;
}
/* Pulsating Play Button carousel-image
------------------------------*/
.pulsating-play-btn {
  width: 94px;
  height: 94px;
  background: radial-gradient(var(--color-1) 50%, color-mix(in srgb, var(--color-1), transparent 75%) 52%);
  border-radius: 50%;
  display: block;
  position: absolute;
  cursor: pointer;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  overflow: hidden;
  z-index:  500 !important;
}

.pulsating-play-btn:before {
  content: "";
  position: absolute;
  width: 120px;
  height: 120px;
  animation-delay: 0s;
  animation: pulsate-play-btn 2s;
  animation-direction: forwards;
  animation-iteration-count: infinite;
  animation-timing-function: steps;
  opacity: 1;
  border-radius: 50%;
  border: 5px solid color-mix(in srgb, var(--color-1), transparent 30%);
  top: -15%;
  left: -15%;
  background: rgba(198, 16, 0, 0);
  cursor: pointer;
  z-index:  500 !important;
}

.pulsating-play-btn:after {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-40%) translateY(-50%);
  width: 0;
  height: 0;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-left: 15px solid #fff;
  z-index: 1000 !important;
  transition: all 400ms cubic-bezier(0.55, 0.055, 0.675, 0.19);
  cursor: pointer;
}

.pulsating-play-btn:hover:before {
  content: "";
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translateX(-40%) translateY(-50%);
  width: 0;
  height: 0;
  border: none;
  border-top: 10px solid transparent;
  border-bottom: 10px solid transparent;
  border-left: 15px solid #fff;
  z-index: 2000 !important;
  animation: none;
  border-radius: 0;
}

.pulsating-play-btn:hover:after {
  border-left: 15px solid var(--color-1);
  transform: scale(20);
}

@keyframes pulsate-play-btn {
  0% {
    transform: scale(0.6, 0.6);
    opacity: 1;
  }

  100% {
    transform: scale(1, 1);
    opacity: 0;
  }
}
/*--------------------------------------------------------------
# Clients
--------------------------------------------------------------*/
.divClientes {
  width: 100%;
  overflow: hidden;
}
.clients {
  white-space: nowrap;
  position: relative;
}

.clients-slider {
  animation: scroll 35s linear infinite;
}

.clients::-webkit-scrollbar {
  display: none;
}
.logoClientes {
  filter: grayscale(100);
  transition: all 0.4s ease-in-out;
  display: inline-block;
  padding: 15px 0;
  cursor: pointer;
  max-width: 150px;
  max-height: 100px;
}

.logoClientes:hover {
  filter: none;
  transform: scale(1.2);
}


/*********************PARCEIROS*****************/

.linhaParceiros {
  color: var(--color-2);
  background-color: var(--color-2);
  height: 2px;
  width: 25%;
}

/*****************Contato*********************/

#contato {
  background: url('../img/linhasContato.png') no-repeat;
  background-position: bottom left;
  background-size: 50%;
}
input {
  border: none;
  border-bottom: 1px #666 solid;
  background: none;
  width: 100%;
}
textarea {
  border: 1px #666 solid;
  background: none;
  width: 100%;
  border-radius: 10px;
  min-height: 5rem;
}
input::placeholder, textarea::placeholder  {
  color: #FFF;
  opacity: 0.5; /* Firefox */
}


.linhaContatos {
  background-color: rgba(0, 0, 0, 0.2);
  height: 2px;
  width: 75%;
}

/**********************************************/

@media  (max-width: 769px) {
  .accordion {
    min-height: 150px;
  }


  .label-title {
    margin: 0px;
    font-size: 1rem;
  }
  .pillSobreTres {
    font-size: 0.8rem;
  }
  .diamanteContainer {
    position: relative;
    background-size: 110%;
    width: 100%;
  }
  .image {
    width: 150px;
  }

  .dados { right: 0; top: 17%}
  .dados-text { top: 25%; right: 0%;  width: 170px; text-align: right;}

  .estrategia { bottom: 60%; left: 0%; }
  .estrategia-text { bottom: 35%; left: 0%;  width: 150px; text-shadow: 1px 1px 1px #000}

  .acompanhamento { bottom: 20%; right: 0%; right:0%; width: 170px}
  .acompanhamento-text { bottom: 3%; right: 0%; width: 170px; text-align: right}

  .boxBandeiras {
    max-width: 100%;
  }

  .navCarouselIcons {
    width: 40%;
  }
  .buttonTop {
    top: 52vh;
  }
  .iconTopo {
    width: 100%;
  }
  .typedTopo::before {
    content: '\A'; /* Código de nova linha */
    white-space: pre; /* Permite interpretação da nova linha */
  }
  .textoSobre {
    width: 75%;
  }
  .subtextSobre {
    width: 90%;
  }
  .pillSobre {
    border-radius: 5rem 5rem 5rem 5rem;
    padding: 1rem 1rem;
    column-gap: 1rem;
    row-gap: 1.5rem;
  }
  #topoFrente {
    background-position: top left -90px;
    background-size: 150%;
  }
  #topoFundo {
    background-position: bottom -30% right 30%;
    background-size: 150%;
  }
  .bandeiras {
    position: absolute;
    font-size: 0.75rem;
  }
  .bandeira1 {
    top: 70%;
    left: 45%;
  }
  .bandeira2 {
   top: 45%;
   left: 5%;
 }
 .bandeira3 {
   top: 25%;
   left: 60%;
 }
 .linhaParceiros {
  width: 40%;
}
.label-carousel-item  a {
  font-size: 0.6rem;
}
}

@media  (min-width: 1100px) {
  #topoFrente {
    background-position: top left;
    background-size: 90%;
  }
  #topoFundo {
    background-position: top right;
    background-size: 80%;
  }

  .buttonTop {
    top: 48%;
  }
}